MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023131Community[OCCT] OCCT:Foundation Classespublic2012-05-04 00:152012-11-16 13:16
ReporterQbProg 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023131: Unhandled case in void CSLib::Normal(...)
DescriptionAt line 314 of CSLib/CSLib.cxx, there's a missing else for the case
if(FindRoots.IsDone()) == false

at line 371 Vsuiv is unsed without being initialized (reported by the compiler)

The solution is to appropriately handle the case where FindRoots.IsDone () == false (don't know if it's likely or not).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020471)
abv (manager)
2012-05-04 12:25

The proposed fix is submitted to branch CR23131, please review

http://git.dev.opencascade.org/gitweb/?p=occt.git;a=commitdiff;h=refs/heads/CR23131 [^]
(0020495)
jgv (developer)
2012-05-10 12:48

No remarks
(0020498)
apn (administrator)
2012-05-11 12:19

Dear BugMaster,
       Workbench KAS:dev:apn-23131-occt was created from git branch CR23131 (and apn-23131-products from svn trunk) and compiled on Linux platform.
   
       There are not regressions in apn-23131-products regarding to KAS:dev:products-20120415-opt
      
       There is following improvement in apn-23131-products regarding to KAS:dev:products-20120415-opt:

       chl 922 R3
  
       See results in /QADisk/occttests/results/KAS/dev/apn-23131-products_10052012/lin
       See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
       See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 870f2393
Timestamp: 2012-05-04 08:18:10
Author: abv
Committer: abv
Details ] Diff ]
0023131: Unhandled case in void CSLib::Normal(...)

Case of extrema failure is handled together with case of no solutions found.
Local variable Vsuiv is initialized by zero to avoid compiler warning.
mod - src/CSLib/CSLib.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-04 00:15 QbProg New Issue
2012-05-04 00:15 QbProg Assigned To => abv
2012-05-04 11:50 abv Status new => assigned
2012-05-04 12:25 abv Note Added: 0020471
2012-05-04 12:25 abv Assigned To abv => jgv
2012-05-04 12:25 abv Status assigned => resolved
2012-05-10 12:48 jgv Note Added: 0020495
2012-05-10 12:48 jgv Status resolved => reviewed
2012-05-11 12:19 apn Note Added: 0020498
2012-05-11 12:20 apn Test case number => Not needed
2012-05-11 12:20 apn Assigned To jgv => bugmaster
2012-05-11 12:20 apn Status reviewed => tested
2012-05-14 12:41 abv Changeset attached => occt master 870f2393
2012-05-14 12:41 abv Assigned To bugmaster => abv
2012-05-14 12:41 abv Status tested => verified
2012-05-14 12:41 abv Resolution open => fixed
2012-05-21 12:30 bugmaster Target Version => 6.5.4
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker